<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Thread::NetworkDiagnostic::ChannelPagesTlv Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d7/d53/classThread_1_1NetworkDiagnostic_1_1ChannelPagesTlv.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="../../df/dc5/classThread_1_1NetworkDiagnostic_1_1ChannelPagesTlv-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Thread::NetworkDiagnostic::ChannelPagesTlv Class Reference<div class="ingroups"><a class="el" href="../../d0/de1/group__core.html">Core</a> &raquo; <a class="el" href="../../de/d97/group__core-mle.html">MLE</a> &raquo; <a class="el" href="../../d4/d80/group__core-mle-tlvs.html">TLVs</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This class implements Channel Pages TLV generation and parsing.  
 <a href="../../d7/d53/classThread_1_1NetworkDiagnostic_1_1ChannelPagesTlv.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../d5/d88/network__diag__tlvs_8hpp_source.html">src/core/thread/network_diag_tlvs.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Thread::NetworkDiagnostic::ChannelPagesTlv:</div>
<div class="dyncontent">
<div class="center"><img src="../../d2/db6/classThread_1_1NetworkDiagnostic_1_1ChannelPagesTlv__inherit__graph.png" border="0" usemap="#Thread_1_1NetworkDiagnostic_1_1ChannelPagesTlv_inherit__map" alt="Inheritance graph"/></div>
<map name="Thread_1_1NetworkDiagnostic_1_1ChannelPagesTlv_inherit__map" id="Thread_1_1NetworkDiagnostic_1_1ChannelPagesTlv_inherit__map">
<area shape="rect" id="node2" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html" title="This class implements MLE TLV generation and parsing. " alt="" coords="5,5,187,44"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Thread::NetworkDiagnostic::ChannelPagesTlv:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d37/classThread_1_1NetworkDiagnostic_1_1ChannelPagesTlv__coll__graph.png" border="0" usemap="#Thread_1_1NetworkDiagnostic_1_1ChannelPagesTlv_coll__map" alt="Collaboration graph"/></div>
<map name="Thread_1_1NetworkDiagnostic_1_1ChannelPagesTlv_coll__map" id="Thread_1_1NetworkDiagnostic_1_1ChannelPagesTlv_coll__map">
<area shape="rect" id="node2" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html" title="This class implements MLE TLV generation and parsing. " alt="" coords="5,5,187,44"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6263e4130cf0aa51d73ca0ec1b881ed8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6263e4130cf0aa51d73ca0ec1b881ed8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d53/classThread_1_1NetworkDiagnostic_1_1ChannelPagesTlv.html#a6263e4130cf0aa51d73ca0ec1b881ed8">Init</a> (void)</td></tr>
<tr class="memdesc:a6263e4130cf0aa51d73ca0ec1b881ed8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method initializes the TLV. <br /></td></tr>
<tr class="separator:a6263e4130cf0aa51d73ca0ec1b881ed8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad77e7f87e3d4fe1ed75cac0265c296f8"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d53/classThread_1_1NetworkDiagnostic_1_1ChannelPagesTlv.html#ad77e7f87e3d4fe1ed75cac0265c296f8">IsValid</a> (void) const </td></tr>
<tr class="memdesc:ad77e7f87e3d4fe1ed75cac0265c296f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method indicates whether or not the TLV appears to be well-formed.  <a href="#ad77e7f87e3d4fe1ed75cac0265c296f8">More...</a><br /></td></tr>
<tr class="separator:ad77e7f87e3d4fe1ed75cac0265c296f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab18a6b48502309000b84635cf4cdc9f0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab18a6b48502309000b84635cf4cdc9f0"></a>
uint8_t *&#160;</td><td class="memItemRight" valign="bottom"><b>GetChannelPages</b> ()</td></tr>
<tr class="separator:ab18a6b48502309000b84635cf4cdc9f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv')"><img src="../../closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html">Thread::NetworkDiagnostic::NetworkDiagnosticTlv</a></td></tr>
<tr class="memitem:ad966a98b54befe03f16958539201614f inherit pub_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360">Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#ad966a98b54befe03f16958539201614f">GetType</a> (void) const </td></tr>
<tr class="memdesc:ad966a98b54befe03f16958539201614f inherit pub_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Type value.  <a href="#ad966a98b54befe03f16958539201614f">More...</a><br /></td></tr>
<tr class="separator:ad966a98b54befe03f16958539201614f inherit pub_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d8402e10e098475ffbd269602292232 inherit pub_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#a9d8402e10e098475ffbd269602292232">SetType</a> (<a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360">Type</a> aType)</td></tr>
<tr class="memdesc:a9d8402e10e098475ffbd269602292232 inherit pub_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Type value.  <a href="#a9d8402e10e098475ffbd269602292232">More...</a><br /></td></tr>
<tr class="separator:a9d8402e10e098475ffbd269602292232 inherit pub_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae514a951cc6cb161bf2d16ccdb58daae inherit pub_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae514a951cc6cb161bf2d16ccdb58daae"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#ae514a951cc6cb161bf2d16ccdb58daae">GetLength</a> (void) const </td></tr>
<tr class="memdesc:ae514a951cc6cb161bf2d16ccdb58daae inherit pub_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the Length value. <br /></td></tr>
<tr class="separator:ae514a951cc6cb161bf2d16ccdb58daae inherit pub_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8845d2c488fea4688d30334544c718d inherit pub_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad8845d2c488fea4688d30334544c718d"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#ad8845d2c488fea4688d30334544c718d">GetSize</a> (void) const </td></tr>
<tr class="memdesc:ad8845d2c488fea4688d30334544c718d inherit pub_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method returns the length to be sent. <br /></td></tr>
<tr class="separator:ad8845d2c488fea4688d30334544c718d inherit pub_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4f563436dd59ade8b1b40c100ec4b89 inherit pub_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#ae4f563436dd59ade8b1b40c100ec4b89">SetLength</a> (uint8_t aLength)</td></tr>
<tr class="memdesc:ae4f563436dd59ade8b1b40c100ec4b89 inherit pub_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This method sets the Length value.  <a href="#ae4f563436dd59ade8b1b40c100ec4b89">More...</a><br /></td></tr>
<tr class="separator:ae4f563436dd59ade8b1b40c100ec4b89 inherit pub_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_types_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv')"><img src="../../closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html">Thread::NetworkDiagnostic::NetworkDiagnosticTlv</a></td></tr>
<tr class="memitem:af2e215f14fd85a90e7d10cf55c953360 inherit pub_types_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360">Type</a> { <br />
&#160;&#160;<a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360a297a4f3e87b0a22d584fe64a88901c4d">kExtMacAddress</a> = 0, 
<br />
&#160;&#160;<a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360a1648c350efe77840f35ca45c79ee6085">kAddress16</a> = 1, 
<br />
&#160;&#160;<a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360ae0b6408545bbb822ecca21807f007213">kMode</a> = 2, 
<br />
&#160;&#160;<a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360a3e91d90aa47789d3e85a14f7b5088fd5">kTimeout</a> = 3, 
<br />
&#160;&#160;<a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360a370c7929e101ec9a02c4c9a7207c0e0f">kConnectivity</a> = 4, 
<br />
&#160;&#160;<a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360aa29784fb789f32175cfbacfaf2a60edc">kRoute</a> = 5, 
<br />
&#160;&#160;<a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360ae1a6e1f0207d9e38d34fafc25d421cd2">kLeaderData</a> = 6, 
<br />
&#160;&#160;<a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360a0d704757e4080e9f214f535c1d4e23a9">kNetworkData</a> = 7, 
<br />
&#160;&#160;<a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360ad03aaa36dfe5bb07f595329a00ca2920">kIPv6AddressList</a> = 8, 
<br />
&#160;&#160;<a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360a10d9e2865c7a9911632b3c077a1c7cb4">kMacCounters</a> = 9, 
<br />
&#160;&#160;<a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360a20b6d420f51de4492f054f92584dda3a">kBatteryLevel</a> = 14, 
<br />
&#160;&#160;<a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360aef33b5a2f7ad8a4fdf3cec9c32aa07fc">kSupplyVoltage</a> = 15, 
<br />
&#160;&#160;<a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360a64846ffd169065ab331f4396736419e9">kChildTable</a> = 16, 
<br />
&#160;&#160;<a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360ad89f9f8114d0c85ce460ef5ffa996f79">kChannelPages</a> = 17, 
<br />
&#160;&#160;<b>kInvalid</b> = 255
<br />
 }<tr class="memdesc:af2e215f14fd85a90e7d10cf55c953360"><td class="mdescLeft">&#160;</td><td class="mdescRight">MLE TLV Types.  <a href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360">More...</a><br /></td></tr>
</td></tr>
<tr class="separator:af2e215f14fd85a90e7d10cf55c953360 inherit pub_types_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv')"><img src="../../closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html">Thread::NetworkDiagnostic::NetworkDiagnosticTlv</a></td></tr>
<tr class="memitem:a63607059047bd622e6759afe16508125 inherit pub_static_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#a63607059047bd622e6759afe16508125">GetTlv</a> (const <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360">Type</a> aType, uint16_t aMaxLength, <a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html">NetworkDiagnosticTlv</a> &amp;aTlv)</td></tr>
<tr class="memdesc:a63607059047bd622e6759afe16508125 inherit pub_static_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method reads the requested TLV out of <code>aMessage</code>.  <a href="#a63607059047bd622e6759afe16508125">More...</a><br /></td></tr>
<tr class="separator:a63607059047bd622e6759afe16508125 inherit pub_static_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34d97f6e23cb8863cee6165dc5fc9261 inherit pub_static_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#a34d97f6e23cb8863cee6165dc5fc9261">GetOffset</a> (const <a class="el" href="../../dc/d3c/classThread_1_1Message.html">Message</a> &amp;aMessage, <a class="el" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#af2e215f14fd85a90e7d10cf55c953360">Type</a> aType, uint16_t &amp;aOffset)</td></tr>
<tr class="memdesc:a34d97f6e23cb8863cee6165dc5fc9261 inherit pub_static_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="mdescLeft">&#160;</td><td class="mdescRight">This static method obtains the offset of a TLV within <code>aMessage</code>.  <a href="#a34d97f6e23cb8863cee6165dc5fc9261">More...</a><br /></td></tr>
<tr class="separator:a34d97f6e23cb8863cee6165dc5fc9261 inherit pub_static_methods_classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class implements Channel Pages TLV generation and parsing. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ad77e7f87e3d4fe1ed75cac0265c296f8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Thread::NetworkDiagnostic::ChannelPagesTlv::IsValid </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This method indicates whether or not the TLV appears to be well-formed. </p>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">TRUE</td><td>If the TLV appears to be well-formed. </td></tr>
    <tr><td class="paramname">FALSE</td><td>If the TLV does not appear to be well-formed. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d53/classThread_1_1NetworkDiagnostic_1_1ChannelPagesTlv_ad77e7f87e3d4fe1ed75cac0265c296f8_cgraph.png" border="0" usemap="#d7/d53/classThread_1_1NetworkDiagnostic_1_1ChannelPagesTlv_ad77e7f87e3d4fe1ed75cac0265c296f8_cgraph" alt=""/></div>
<map name="d7/d53/classThread_1_1NetworkDiagnostic_1_1ChannelPagesTlv_ad77e7f87e3d4fe1ed75cac0265c296f8_cgraph" id="d7/d53/classThread_1_1NetworkDiagnostic_1_1ChannelPagesTlv_ad77e7f87e3d4fe1ed75cac0265c296f8_cgraph">
<area shape="rect" id="node2" href="../../d7/d4d/classThread_1_1NetworkDiagnostic_1_1NetworkDiagnosticTlv.html#ae514a951cc6cb161bf2d16ccdb58daae" title="This method returns the Length value. " alt="" coords="235,5,418,57"/>
</map>
</div>
</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>src/core/thread/<a class="el" href="../../d5/d88/network__diag__tlvs_8hpp_source.html">network_diag_tlvs.hpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>Thread</b></li><li class="navelem"><b>NetworkDiagnostic</b></li><li class="navelem"><a class="el" href="../../d7/d53/classThread_1_1NetworkDiagnostic_1_1ChannelPagesTlv.html">ChannelPagesTlv</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:37 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
